Bug 206469 - [or_IN] Combinations with U0D71 are not formed(u0B4D+u0B71)( i18n )
[or_IN] Combinations with U0D71 are not formed(u0B4D+u0B71)( i18n )
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Bhalerao
:
Depends On:
Blocks: 206581
  Show dependency treegraph
 
Reported: 2006-09-14 12:16 EDT by Rahul Bhalerao
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-28 01:02:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Image of wrong and right combination for wa-phala (27.05 KB, image/jpeg)
2006-09-14 12:16 EDT, Rahul Bhalerao
no flags Details
Patch No. 8 (508 bytes, patch)
2006-09-18 03:21 EDT, Rahul Bhalerao
no flags Details | Diff
Verified Image (111.91 KB, image/png)
2007-04-28 01:01 EDT, A S Alam
no flags Details

  None (edit)
Description Rahul Bhalerao 2006-09-14 12:16:07 EDT
Description of problem:
Combinations of following type are not formed:

  Consonant + U0B4D + U0B71

The GSUB rule for these combinations are not written.

Version-Release number of selected component (if applicable):
2.0.1-1

How reproducible:


Steps to Reproduce:
1. Open gedit
2. Enable Oriya Inscript Layout
3. Type the following key sequence:

   Any consonant(e.g. 'k') + d + ('b' or rawcode[u0b71] )
  
Actual results:
No combination as shown in the attached image.

Expected results:
Correct combination as shown in the attached image.

Additional info:

Ideally in inscript, U0B71 should be mapped to 'b', but it is possible that it
may be mapped for U0B35. So best way is to use rawcode.
Comment 1 Rahul Bhalerao 2006-09-14 12:16:07 EDT
Created attachment 136279 [details]
Image of wrong and right combination for wa-phala
Comment 2 Rahul Bhalerao 2006-09-18 03:21:12 EDT
Created attachment 136511 [details]
Patch No. 8

GSUB Rule added for (0b4d+0b71). Patch will work only if the Pango patch for
U0B71 is applied.
Comment 3 Rahul Bhalerao 2006-09-18 03:29:45 EDT
Pango Patch in upstreams required:
http://bugzilla.gnome.org/show_bug.cgi?id=355697
Comment 4 Matthew Miller 2007-04-06 13:35:37 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 5 Rahul Bhalerao 2007-04-16 06:54:12 EDT
Fixed in FC6.
Comment 6 A S Alam 2007-04-28 01:01:19 EDT
Created attachment 153686 [details]
Verified Image
Comment 7 A S Alam 2007-04-28 01:02:29 EDT
CLOSE:
it is verified with following package
fonts-oriya-2.1.5-1.fc7

Note You need to log in before you can comment on or make changes to this bug.